Subject: Framing Update

From: [email-masked]
Date: Wed, 12 Dec 2001 11:57:40 -0500

The issue that necessitated removing the iSCSI Framing
Requirements agenda item from Tuesday's agenda has been
resolved.  I'm sorry that removing the agenda item was
necessary, but would ask for some understanding that
AD and WG chair work overload were significant
contributing factors to this.

In the tsvwg meeting on Tuesday, it was announced that
the TCP ULP framing draft (draft-ietf-tsvwg-tcp-ulp-frame-01.txt)
will be advanced to become an Experimental RFC.  My
understanding is that a combination of technical
concerns raised in tsvwg-related discussions and the
observation of the difficulty that the ips WG has had
in determining the appropriate level of requirement
for this mechanism contributed to a conclusion that an
Experimental RFC is appropriate at this time.  This
is not the last word ... FWIW, Explicit Congestion
Notification (ECN) started out as an Experimental RFC
and has recently been updated and reissued as a Proposed
Standard RFC.

Since normative references to Experimental RFCs
are not permitted in standards-track documents, the
strongest requirement that iSCSI may use for TCP ULP
framing is "MAY" (MAY implement, MAY use) - "SHOULD"
and "MUST" cannot be used.

I am also going to exercise my prerogative as WG chair
in the area of framing mechanisms that are independent
of the TCP implementation to announce that at most one
such mechanism will be permitted to be specified for
use with iSCSI.  This means that when the details for
the word-stuffing version of constant overhead byte
stuffing are worked out and made available, the WG will
be faced with two issues:
(1) Which mechanism is to be specified (markers or
	word-stuffing)?  I don't believe that WG rough
	consensus can be obtained for not specifying
	any mechanism in this space.
(2) What level of requirements (MUST/SHOULD/MAY) to
	impose on implementation and use of that
	mechanism.
As I said in Salt Lake City, I do not intend to allow
these issues to remain open beyond the February interim
meeting.

Thanks,
--David

---------------------------------------------------
David L. Black, Senior Technologist
EMC Corporation, 42 South St., Hopkinton, MA  01748
+1 (508) 435-1000            FAX: +1 (508) 497-8500
[email-masked]       Mobile: +1 (978) 394-7754
---------------------------------------------------